Page 1 of 4 123 ... LastLast
Results 1 to 10 of 38

Thread: Ubuntuzilla causing broken packages

  1. #1
    Join Date
    Apr 2008
    Beans
    76

    Ubuntuzilla causing broken packages

    Somehow, after installing ubuntuzilla, my packages for Firefox got broken when trying to upgrade. Now I get the following message and I can't figure out how to get around it.

    E: /var/cache/apt/archives/firefox_3.6.11+build3+nobinonly-0ubuntu0.10.04.1_i386.deb: trying to overwrite '/usr/bin/firefox', which is also in package firefox-mozilla-build 0

    Any suggestions?

  2. #2
    Join Date
    Aug 2008
    Location
    Brazil
    Beans
    12,497
    Distro
    Ubuntu Studio 12.04 Precise Pangolin

    Re: Ubuntuzilla causing broken packages

    Removed
    Last edited by lovinglinux; October 30th, 2010 at 12:38 AM.

  3. #3
    Join Date
    Apr 2008
    Beans
    76

    Re: Ubuntuzilla causing broken packages

    I ran that but it didn't seem to work. I still get the same error message.

  4. #4
    Join Date
    Aug 2008
    Location
    Brazil
    Beans
    12,497
    Distro
    Ubuntu Studio 12.04 Precise Pangolin

    Re: Ubuntuzilla causing broken packages

    Quote Originally Posted by griztown View Post
    I ran that but it didn't seem to work. I still get the same error message.
    Try

    Code:
    sudo apt-get purge firefox-mozilla-build
    sudo apt-get purge firefox
    Then install which one you want, with:

    Code:
    sudo apt-get install firefox
    or

    Code:
    sudo apt-get install firefox-mozilla-build

  5. #5
    Join Date
    Apr 2008
    Beans
    76

    Re: Ubuntuzilla causing broken packages

    Thanks for the help. When I run the first I get this error:


    You might want to run `apt-get -f install' to correct these:
    The following packages have unmet dependencies:
    firefox-branding: Depends: firefox (= 3.6.11+build3+nobinonly-0ubuntu0.10.04.1)
    firefox-gnome-support: Depends: firefox (= 3.6.11+build3+nobinonly-0ubuntu0.10.04.1)
    E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

    I then tried 'apt-get -f install' which threw this error:

    dpkg: error processing /var/cache/apt/archives/firefox_3.6.11+build3+nobinonly-0ubuntu0.10.04.1_i386.deb (--unpack):
    trying to overwrite '/usr/bin/firefox', which is also in package firefox-mozilla-build 0:3.6.11-0ubuntu1
    Errors were encountered while processing:
    /var/cache/apt/archives/firefox_3.6.11+build3+nobinonly-0ubuntu0.10.04.1_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  6. #6
    Join Date
    Aug 2008
    Location
    Brazil
    Beans
    12,497
    Distro
    Ubuntu Studio 12.04 Precise Pangolin

    Re: Ubuntuzilla causing broken packages

    Quote Originally Posted by griztown View Post
    Thanks for the help. When I run the first I get this error:


    You might want to run `apt-get -f install' to correct these:
    The following packages have unmet dependencies:
    firefox-branding: Depends: firefox (= 3.6.11+build3+nobinonly-0ubuntu0.10.04.1)
    firefox-gnome-support: Depends: firefox (= 3.6.11+build3+nobinonly-0ubuntu0.10.04.1)
    E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

    I then tried 'apt-get -f install' which threw this error:

    dpkg: error processing /var/cache/apt/archives/firefox_3.6.11+build3+nobinonly-0ubuntu0.10.04.1_i386.deb (--unpack):
    trying to overwrite '/usr/bin/firefox', which is also in package firefox-mozilla-build 0:3.6.11-0ubuntu1
    Errors were encountered while processing:
    /var/cache/apt/archives/firefox_3.6.11+build3+nobinonly-0ubuntu0.10.04.1_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Try

    Code:
    sudo apt-get purge firefox-mozilla-build
    Last edited by lovinglinux; October 26th, 2010 at 01:20 PM.

  7. #7
    Join Date
    Oct 2010
    Location
    Syria
    Beans
    40
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: Ubuntuzilla causing broken packages

    try

    Code:
    sudo apt-get purge firefox
    
    sudo apt-get install firefox
    
    sudo apt-get update

  8. #8
    Join Date
    Apr 2008
    Beans
    76

    Re: Ubuntuzilla causing broken packages

    I appreciate all of your help. None of these solutions have worked.

    I keep getting an error that there are packages with unmet dependencies, namely firefox. But if I try installing firefox it tells me I can't install firefox cause I'd overwrite another firefox in firefox-mozilla-build. I can't purge firefox-mozilla-build cause I have unmet dependencies. A classic Catch-22! Is there some nuclear bomb method I can try here?

  9. #9
    Join Date
    Jan 2006
    Location
    Philadelphia
    Beans
    4,064
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: Ubuntuzilla causing broken packages

    what's your output if you try to
    Code:
    sudo apt-get remove firefox-mozilla-build
    and also what's your output for
    Code:
    dpkg-divert --list

  10. #10
    Join Date
    Apr 2008
    Beans
    76

    Re: Ubuntuzilla causing broken packages

    Quote Originally Posted by nanotube View Post
    what's your output if you try to
    Code:
    sudo apt-get remove firefox-mozilla-build
    Here's what I get:
    Code:
    The following packages have unmet dependencies:
      firefox-branding: Depends: firefox (= 3.6.11+build3+nobinonly-0ubuntu0.10.04.1)
      firefox-gnome-support: Depends: firefox (= 3.6.11+build3+nobinonly-0ubuntu0.10.04.1)
    E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
    and also what's your output for
    Code:
    dpkg-divert --list
    This is the output:
    Code:
    diversion of /bin/sh to /bin/sh.distrib by dash
    diversion of /usr/share/man/man1/sh.1.gz to /usr/share/man/man1/sh.distrib.1.gz by dash
    local diversion of /usr/bin/mozilla-firefox to /usr/bin/mozilla-firefox.ubuntu
    diversion of /usr/share/vim/vim72/doc/help.txt to /usr/share/vim/vim72/doc/help.txt.vim-tiny by vim-runtime
    diversion of /usr/share/vim/vim72/doc/tags to /usr/share/vim/vim72/doc/tags.vim-tiny by vim-runtime
    diversion of /usr/share/dict/words to /usr/share/dict/words.pre-dictionaries-common by dictionaries-common
    diversion of /usr/share/dbus-1/services/org.freedesktop.Notifications.service to /usr/share/dbus-1/services/org.freedesktop.Notifications.service.notify-osd by notify-osd
    diversion of /usr/lib/gnupg/gpgkeys_curl to /usr/lib/gnupg/gpgkeys_curl.non_curl by gnupg-curl
    diversion of /usr/lib/gnupg/gpgkeys_hkp to /usr/lib/gnupg/gpgkeys_hkp.non_curl by gnupg-curl
    diversion of /usr/share/gnome-games/pixmaps/slot.svg to /usr/share/gnome-games/pixmaps/slot.svg.unbranded by branding-ubuntu
    diversion of /usr/share/gnome-games/pixmaps/baize.png to /usr/share/gnome-games/pixmaps/baize.png.unbranded by branding-ubuntu
    diversion of /usr/share/gnome-games/mahjongg/pixmaps/postmodern.svg to /usr/share/gnome-games/mahjongg/pixmaps/postmodern.svg.unbranded by branding-ubuntu
    diversion of /usr/share/gnome-games/gnometris/pixmaps/gnometris.svg to /usr/share/gnome-games/gnometris/pixmaps/gnometris.svg.unbranded by branding-ubuntu
    diversion of /usr/share/gnome-games-common/cards/gnomangelo_bitmap.svg to /usr/share/gnome-games-common/cards/gnomangelo_bitmap.svg.unbranded by branding-ubuntu
    diversion of /var/lib/gdm/.gconf.defaults/%gconf-tree.xml to /var/lib/gdm/.gconf.defaults/%gconf-tree.xml.ubuntu by xubuntu-gdm-theme

Page 1 of 4 123 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •